This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 200626 - PPD import fails to create target directory.
PPD import fails to create target directory.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 04:06 EDT by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 10:33:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2006-07-29 04:06:05 EDT
Description of problem:
I'm trying to import an OKIPage b4250 PPD file.
When I selected the PPD file, I got the following error:
/bin/cp: cannot create regular file
`/usr/share/foomatic/db/source/PPD/Custom/Oki-OKI_B4200_/_B4250_PCL_PPD.ppd': No
such file or directory
Only when I manually created the target directory
/usr/share/foomatic/db/source/PPD/Custom/Oki-OKI_B4200_, the import was successful.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.151.7-1.x86_64
cups-1.2.2-1.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Import a new PPD. (This one?
http://europe.oki.com/fcgi-bin/public.fcgi?pid=6&cid=1&chid=1&pdflag=&prid=463&OSId=5&languageId=1)
2.
3.
  
Actual results:
1. Import fails.

Expected results:
2. Successful import.

Additional info:
Comment 1 Tim Waugh 2006-12-15 10:33:02 EST
In FC6 PPDs no longer have to be imported.

Note You need to log in before you can comment on or make changes to this bug.